IVerbHandler (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.net
Interface IVerbHandler

All Known Implementing Classes:
  AntiEntropyService.TreeRequestVerbHandler, AntiEntropyService.TreeResponseVerbHandler, BootStrapper.BootstrapTokenVerbHandler, CounterMutationVerbHandler, DefinitionsUpdateVerbHandler, GossipDigestAck2VerbHandler, GossipDigestAckVerbHandler, GossipDigestSynVerbHandler, IndexScanVerbHandler, RangeSliceVerbHandler, ReadRepairVerbHandler, ReadVerbHandler, ReplicationFinishedVerbHandler, ResponseVerbHandler, RowMutationVerbHandler, SchemaCheckVerbHandler, StreamingRepairTask.StreamingRepairRequest, StreamingRepairTask.StreamingRepairResponse, StreamReplyVerbHandler, StreamRequestVerbHandler, TruncateVerbHandler

    public interface IVerbHandler

IVerbHandler provides the method that all verb handlers need to implement. The concrete implementation of this interface would provide the functionality for a given verb.

Method Summary
`void` | `doVerb(Message message, java.lang.String id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

Method Detail

### doVerb

    void doVerb(Message message,
                java.lang.String id)

  This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

  Parameters:
    `message` - - incoming message that needs handling.
    `id` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation